Bug 249024

Summary: yum fails to upgrade multilib packages
Product: Red Hat Enterprise Linux 5 Reporter: Jan Lieskovsky <jlieskov>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: high    
Version: 5.1CC: benl, jlaska, jlieskov, katzj, lockhart, rbiba
Target Milestone: rcKeywords: Regression
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-25 00:50:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jan Lieskovsky 2007-07-20 09:10:53 EDT
Description of problem:
By performing tps-rhnqa test for the cups advisory (RHSA-2007:0720) 
I discovered the following yum error on ppc and x86_64 RHEL-5Server:

From tps-rhnqa log:

. . .
Running test: binary package update...
RESULT: binary package update: FAIL:
Loading "rhnplugin" plugin
Loading "installonlyn" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cups-devel.x86_64 1:1.2.4-11.5.3.el5 set to be updated
---> Package cups-devel.i386 1:1.2.4-11.5.3.el5 set to be updated
---> Package cups.x86_64 1:1.2.4-11.5.3.el5 set to be updated
---> Package cups-libs.i386 1:1.2.4-11.5.3.el5 set to be updated
---> Package cups-libs.x86_64 1:1.2.4-11.5.3.el5 set to be updated
---> Package cups-lpd.x86_64 1:1.2.4-11.5.3.el5 set to be updated
--> Processing Dependency: cups = 1:1.2.4-0 for package: cups-lpd
--> Processing Dependency: cups-libs = 1:1.2.4-0 for package: cups
--> Processing Dependency: cups-libs = 1:1.2.4-0 for package: cups-devel
--> Finished Dependency Resolution
Error: Missing Dependency: cups = 1:1.2.4-0 is needed by package cups-lpd
Error: Missing Dependency: cups-libs = 1:1.2.4-0 is needed by package cups
Error: Missing Dependency: cups-libs = 1:1.2.4-0 is needed by package cups-devel

By manual attempt to update the cups package, I got the following:

yum update cups ->

Loading "rhnplugin" plugin
Loading "installonlyn" plugin
Setting up Update Process
rhel-x86_64-server-5      100% |=========================| 1.2 kB    00:00
rhn-tools-rhel-x86_64-ser 100% |=========================| 1.2 kB    00:00
rhel-x86_64-server-fastra 100% |=========================| 1.2 kB    00:00
rhel-x86_64-server-produc 100% |=========================| 1.2 kB    00:00
rhel-x86_64-server-vt-5   100% |=========================| 1.2 kB    00:00
rhel-x86_64-server-hts-5  100% |=========================| 1.2 kB    00:00
rhel-x86_64-server-supple 100% |=========================| 1.2 kB    00:00
Resolving Dependencies
--> Running transaction check
---> Package cups.x86_64 1:1.2.4-11.5.3.el5 set to be updated
--> Processing Dependency: cups-libs = 1:1.2.4-0 for package: cups
--> Finished Dependency Resolution
Error: Missing Dependency: cups-libs = 1:1.2.4-0 is needed by package cups

Version-Release number of selected component (if applicable):
yum-3.2.1-4.el5.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum update cups (on ppc or x86_64 RHEL-5 server)
2.
3.
  
Actual results:
Error: Missing Dependency: cups-libs = 1:1.2.4-0 is needed by package cups

Expected results:
The cups package will be updated correctly (without errors) as
it is done by the previous (yum-3.0.1-5.el5.noarch) version of yum,
i.e: 

yum update cups -> ...

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 cups                    x86_64     1:1.2.4-11.5.3.el5  rhel-x86_64-server-5  2.7 M

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total download size: 2.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/1): cups-1.2.4-11.5.3. 100% |=========================| 2.7 MB    00:01
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

. . . 
Updated: cups.x86_64 1:1.2.4-11.5.3.el5
Complete!

Additional info:

The version of "working" yum is:

yum-3.0.1-5.el5.noarch
Comment 1 RHEL Product and Program Management 2007-07-20 09:18:35 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 2 James Laska 2007-08-13 15:37:04 EDT
Attempting to reproduce on ppc locally ... can you outline what packages were
installed at the start of this test case that trigger the error?  Is that
available in a tps log?
Comment 3 John W. Lockhart 2007-08-13 15:48:25 EDT
Using nest.test.redhat.com:/mnt/qa on /mnt/qa, TPS output is:

ls -d /mnt/qa/scratch/*/2007:0720

That produces a long list of machines.  The {old,new}-files*list files
show the list of old and new packages that were installed for the run,
and tps-rhnqa.log shows the commands and output that occurred during
the runs.

The tps .log files should show how many Old, New, and Stray (eg, non-errata)
RPMs were installed.
Comment 4 Pete Graner 2007-08-15 16:16:55 EDT
Moving to 5.2 due to yum staying at the GA verison
Comment 5 James Antill 2007-09-25 00:50:37 EDT
 Given this was a Beta only bug, I'm going to close.